Skip to content
POST/{organizationId}/{mandateId}/finance/accounting/costCenterBalances

Returns the cost center balances statement for a given mandate

Required permissions:

  • mandate.read

  • posting.read

Path Parameters

organizationIdstringrequired
mandateIdstringrequired

Request Body required

Content-Type: application/json

formatstringrequired

Options:

htmlpdfexcelcsv
costCenterRegionintegeroptional

minimum: 1

maximum: 9

showCostCentersbooleanoptional

Default: false

Authentication: X-API-Key

Request

POST/{organizationId}/{mandateId}/finance/accounting/costCenterBalances
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/finance/accounting/costCenterBalances' \
  --header 'X-API-Key: YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "format": "html",
  "range": {
    "from": {
      "year": 2000,
      "monthIndex": 1
    },
    "to": {
      "year": 2000,
      "monthIndex": 1
    }
  },
  "accountFilter": {
    "groups": [
      "capitalAsset"
    ],
    "types": [
      "asset"
    ],
    "classes": [
      "permanent"
    ]
  }
}'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

namestringrequired

Additional properties are not allowed.

emptybooleanrequired

Response

200
{
  "name": "string",
  "data": {
    "content": "string"
  },
  "empty": true
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}